List Snapshots
curl --request GET \
--url https://api.voyager.so/v1/machines/snapshots \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voyager.so/v1/machines/snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voyager.so/v1/machines/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"snapshots": [
{
"id": "<string>",
"status": "ready",
"name": "<string>",
"machine_id": "<string>",
"machine_name": "<string>",
"size_bytes": 123,
"created_at": "<string>",
"expires_at": "<string>",
"automatic": true,
"in_use_by": "<string>",
"in_use_by_name": "<string>",
"next": "<string>",
"note": "<string>"
}
],
"count": 123,
"limit": 123,
"next_cursor": "<string>",
"total": 123
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}List Snapshots
Your workspace’s snapshots, newest first (SNAPSHOT_PAGE a page; follow next_cursor), with how many you
have of the limit. Snapshots are free and expire 30 days after they are taken; delete one with
DELETE /v1/machines/snapshots/{id}.
GET
/
machines
/
snapshots
List Snapshots
curl --request GET \
--url https://api.voyager.so/v1/machines/snapshots \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voyager.so/v1/machines/snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voyager.so/v1/machines/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"snapshots": [
{
"id": "<string>",
"status": "ready",
"name": "<string>",
"machine_id": "<string>",
"machine_name": "<string>",
"size_bytes": 123,
"created_at": "<string>",
"expires_at": "<string>",
"automatic": true,
"in_use_by": "<string>",
"in_use_by_name": "<string>",
"next": "<string>",
"note": "<string>"
}
],
"count": 123,
"limit": 123,
"next_cursor": "<string>",
"total": 123
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}Query Parameters
Response
Successful Response